Skip to main content
`Ctrl`+`K`

# MFNMonitorRegisterDestroyFn

A function prototype for functions that do the after use destruction when provided to `MFNMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MFNMonitorRegisterDestroyFn(PetscViewerAndFormat **result);

## Calling Sequence

- vf - a `PetscViewerAndFormat` object to be destroyed, including any context

## See Also

MFN: Matrix Function, `MFNMonitorRegisterFn`, `MFNMonitorSet()`, `MFNMonitorRegister()`, `MFNMonitorFn`, `MFNMonitorRegisterCreateFn`

## Level

advanced

## Location

include/slepcmfn.h

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages